BIND 4.9.6-REL for NEWS-OS Release 4.2.1a+

# make
# make install


hiraga@meis.sony.co.jp


diff -urP bind-4.9.6-REL/Makefile bind-4.9.6-REL-newsos4/Makefile
--- bind-4.9.6-REL/Makefile	Tue Jun 24 12:21:40 1997
+++ bind-4.9.6-REL-newsos4/Makefile	Fri Aug  8 17:49:15 1997
@@ -99,6 +99,24 @@
 SHLD =
 PIC =
 
+#(Sony NWS-3800 NEWS-OS Release 4.2.1)
+#CDEBUG = -O -Olimit 2000
+#CDEBUG = -O  -DCHECK_UDP_SUM
+CDEBUG = -O
+LEX = lex
+LIBS = -ll -lmld
+PIDDIR = /etc
+DESTBIN = /usr/etc
+DESTSBIN = /usr/etc
+DESTEXEC = /usr/etc
+DESTHELP = /usr/lib
+DESTLIB = /usr/local/lib
+DESTINC = /usr/local/include
+DESTMAN = /usr/local/man/C
+#KSYMS = /vmunix
+#KMEM = /dev/kmem
+#UDPSUM = udpcksum
+
 # (NetBSD - for details on shared library building, see shres/netbsd/INSTALL)
 #uncomment next three lines to build a shared library version of libresolv
 #SHRES = shres/netbsd
diff -urP bind-4.9.6-REL/compat/lib/Makefile bind-4.9.6-REL-newsos4/compat/lib/Makefile
--- bind-4.9.6-REL/compat/lib/Makefile	Mon Jun  2 05:34:27 1997
+++ bind-4.9.6-REL-newsos4/compat/lib/Makefile	Thu Aug  7 18:12:41 1997
@@ -87,7 +87,7 @@
 install: ${DESTDIR}${DESTLIB}/lib44bsd.a
 
 ${DESTDIR}${DESTLIB}/lib44bsd.a: lib44bsd.a
-	${INSTALL} -c -o bin -g bin -m 644 lib44bsd.a ${DESTDIR}${DESTLIB}/
+	${INSTALL} -c -o root -g staff -m 644 lib44bsd.a ${DESTDIR}${DESTLIB}/
 	( cd ${DESTDIR}${DESTLIB} ; $(RANLIB) lib44bsd.a )
 
 .c.o:
diff -urP bind-4.9.6-REL/conf/portability.h bind-4.9.6-REL-newsos4/conf/portability.h
--- bind-4.9.6-REL/conf/portability.h	Mon Jun  2 05:34:28 1997
+++ bind-4.9.6-REL-newsos4/conf/portability.h	Fri Aug  8 17:47:49 1997
@@ -103,6 +103,11 @@
 # include <net/errno.h>
 #endif
 
+#if defined(NEWSOS4)
+typedef int  pid_t;
+# define NEED_PUTENV
+#endif
+
 #if defined(__convex__)
 # if !defined(_POSIX_SOURCE)
 #  define _POSIX_SOURCE
@@ -487,7 +492,7 @@
 # undef WTERMSIG
 #endif /* NeXT */
 
-#if defined(sequent)
+#if defined(sequent) || defined(NEWSOS4)
 #define WEXITSTATUS(x)	((x).w_retcode)
 #define WTERMSIG(x)	((x).w_termsig)
 #endif /* sequent */
diff -urP bind-4.9.6-REL/named/Makefile bind-4.9.6-REL-newsos4/named/Makefile
--- bind-4.9.6-REL/named/Makefile	Sun Sep 22 09:13:10 1996
+++ bind-4.9.6-REL-newsos4/named/Makefile	Thu Aug  7 18:07:51 1997
@@ -172,15 +172,15 @@
 	mkdep ${CPPFLAGS} -I${INCL} -I${COMPINCL} ${SRCS} ${XFERSRCS}
 
 install:
-	${INSTALL} -c -s -o bin -g bin -m 555 \
+	${INSTALL} -c -s -o root -g staff -m 555 \
 		named ${DESTDIR}${DESTSBIN}/${INDOT}named
-	${INSTALL} -c -s -o bin -g bin -m 555 \
+	${INSTALL} -c -s -o root -g staff -m 555 \
 		named-xfer ${DESTDIR}${PATH_XFER}
-	${INSTALL} -c -o bin -g bin -m 555 \
+	${INSTALL} -c -o root -g staff -m 555 \
 		named.restart ${DESTDIR}${DESTSBIN}/${INDOT}named.restart
-	${INSTALL} -c -o bin -g bin -m 555 \
+	${INSTALL} -c -o root -g staff -m 555 \
 		named.reload ${DESTDIR}${DESTSBIN}/${INDOT}named.reload
-	${INSTALL} -c -o bin -g bin -m 555 \
+	${INSTALL} -c -o root -g staff -m 555 \
 		ndc ${DESTDIR}${DESTSBIN}/${INDOT}ndc
 	@echo "*** Install symlinks if needed ***"
 
diff -urP bind-4.9.6-REL/named/ns_maint.c bind-4.9.6-REL-newsos4/named/ns_maint.c
--- bind-4.9.6-REL/named/ns_maint.c	Sun Sep 22 09:13:21 1996
+++ bind-4.9.6-REL-newsos4/named/ns_maint.c	Fri Aug  8 17:48:42 1997
@@ -370,7 +370,7 @@
 static struct {
 	pid_t 	xfer_pid;
 	int	xfer_state; /* see below */
-#ifdef sequent
+#if defined(sequent) || defined(NEWSOS4)
 	union wait xfer_status;
 #else
 	int	xfer_status;
@@ -854,7 +854,7 @@
 reapchild()
 {
 	int pid, i, save_errno;
-#if defined(sequent)
+#if defined(sequent) || defined(NEWSOS4)
 	union wait status;
 #else
 	int status;
@@ -891,7 +891,7 @@
 {
     	register struct zoneinfo *zp;   
 	int exitstatus, pid, i;
-#if defined(sequent)
+#if defined(sequent) || defined(NEWSOS4)
 	union wait status;
 #else
 	int status;
diff -urP bind-4.9.6-REL/res/Makefile bind-4.9.6-REL-newsos4/res/Makefile
--- bind-4.9.6-REL/res/Makefile	Mon Jun  2 05:34:37 1997
+++ bind-4.9.6-REL-newsos4/res/Makefile	Thu Aug  7 18:04:30 1997
@@ -94,7 +94,7 @@
 install: ${DESTDIR}${DESTLIB}/libresolv.a
 
 ${DESTDIR}${DESTLIB}/libresolv.a: libresolv.a
-	${INSTALL} -c -o bin -g bin -m 644 libresolv.a ${DESTDIR}${DESTLIB}/
+	${INSTALL} -c -o root -g staff -m 644 libresolv.a ${DESTDIR}${DESTLIB}/
 	( cd ${DESTDIR}${DESTLIB} ; $(RANLIB) libresolv.a )
 
 .c.o:
diff -urP bind-4.9.6-REL/tools/nslookup/Makefile bind-4.9.6-REL-newsos4/tools/nslookup/Makefile
--- bind-4.9.6-REL/tools/nslookup/Makefile	Fri Dec 22 19:20:43 1995
+++ bind-4.9.6-REL-newsos4/tools/nslookup/Makefile	Thu Aug  7 18:10:07 1997
@@ -112,8 +112,8 @@
 	mkdep ${CPPFLAGS} -I${INCL} -I${COMPINCL} ${DEFS} ${SRCS}
 
 install:
-	${INSTALL} -s -c -o bin -g bin -m 755 nslookup ${DESTDIR}${DESTBIN}/
-	${INSTALL}    -c -o bin -g bin -m 444 nslookup.help \
+	${INSTALL} -s -c -o root -g staff -m 755 nslookup ${DESTDIR}${DESTBIN}/
+	${INSTALL}    -c -o root -g staff -m 444 nslookup.help \
 		 ${DESTDIR}${DESTHELP}/
 
 lint: ${CSRCS}