BIND 4.9.6-REL for NEWS-OS Release 6.x

$B9=C[4D6-(B:

  NWS-5000TF
  NEWS-OS Release 6.1.2
  NEWS-C 1.010
  GNU make 3.75
  GNU flex 2.5.4


$B%$%s%9%H!<%kJ}K!(B:

 % mkdir bind-4.9.6
 % cd bind-4.9.6
 % gzip -dc bind-4.9.6-REL.tar.gz | tar xf -
 % patch -p1 < [ThisFile]
 % make
 # make install


Tips:

  OS$B$N(Blex$B$@$H$&$^$/$$$+$J$C$?$N$G!"(BGNU flex$B$r;H$C$F$$$^$9!#(B
  $B$J$*!"(BDSO$BMQ$N@_Dj$b$"$j$^$9$,!"7k9=$$$$2C8:$K$d$C$?$N$G$*$+$7$$$+$bCN$l(B
  $B$^$;$s!#(B


Toshio Hiraga <hiraga@ba2.so-net.ne.jp>


diff -urP bind-4.9.6-REL/Makefile bind-4.9.6-REL-newsos6/Makefile
--- bind-4.9.6-REL/Makefile	Tue Jun 24 12:21:40 1997
+++ bind-4.9.6-REL-newsos6/Makefile	Mon Jul 14 11:15:20 1997
@@ -858,6 +858,52 @@
 #PS =ps -p
 #IOT = IOT
 
+#(Sony NWS-5000 NEWS-OS Release 6.1.2)
+#be careful with installation - note in particular that the system ships
+#with /usr/sbin/in.named (with in.) and /usr/sbin/named-xfer (without in.)
+#to emulate this naming, INDOT should be set to in. and XFER_INDOT should be
+#set to empty. also, under NWS-5000, use 'make install' at your own risk. 
+CDEBUG = -O2
+#CDEBUG =
+CPPFLAGS = -DSVR4 -DUSE_POSIX -DMAXHOSTNAMELEN=256
+CC = /usr/bin/cc $(CPPFLAGS)
+INDOT = in.
+XFER_INDOT = in.
+LEX = flex
+LIBS = -lfl -lnsl -lsocket
+DESTBIN = /usr/bin
+DESTSBIN = /usr/sbin
+DESTEXEC = /usr/sbin
+DESTHELP = /usr/lib
+DESTLIB = /usr/local/lib
+DESTINC = /usr/local/include
+DESTMAN = /usr/local/man/C
+PIDDIR = /etc
+LDS = :
+RANLIB = :
+COMPINCL = compat/include
+CATEXT = $$$$N
+INSTALL_COMPAT = install-compat
+INSTALL = /usr/ucb/install
+PS = ps -p
+IOT = IOT
+MANROFF = ( /usr/ucb/tbl | /usr/ucb/nroff -man )
+#uncomment next line for link-compatibility with NEWS-OS resolver library
+#NEWSCOMPAT = -Dgethostbyname=dns_gethostbyname \
+#	-Dgethostbyaddr=dns_gethostbyaddr -Dgetnetbyname=dns_getnetbyname \
+#	-Dgetnetbyaddr=dns_getnetbyaddr -Dsethostent=dns_sethostent \
+#	-Dendhostent=dns_endhostent -Dgethostent=dns_gethostent \
+#	-Dsetnetent=dns_setnetent -Dendnetent=dns_endnetent \
+#	-Dgetnetent=dns_getnetent
+#uncomment next line to build a shared library version of libresolv
+#SHRES = shres/newsos
+#uncomment next line to build tools and named with shared libresolv
+#if you do so, you *must* define NEWSCOMPAT as well (and it must be in CPPFLAGS)
+#RES = $(SHRES)/libresolv.so
+#SHCC = /usr/bin/cc $(CPPFLAGS)
+#SHLD = /usr/ccs/bin/ld -shared
+
+
 ####################################################################
 ############ no user servicable parts beyond this point ############
 ####################################################################
diff -urP bind-4.9.6-REL/shres/newsos/Makefile bind-4.9.6-REL-newsos6/shres/newsos/Makefile
--- bind-4.9.6-REL/shres/newsos/Makefile	Thu Jan  1 09:00:00 1970
+++ bind-4.9.6-REL-newsos6/shres/newsos/Makefile	Fri Jun 27 10:24:05 1997
@@ -0,0 +1,61 @@
+# NEWS-OS Release 6.1.2 Shared Library `libresolv.so'
+
+CFLAGS=	-I../${INCL} -I../${COMPINCL} ${DEFS} ${LOCDEFS} ${NEWSCOMPAT}
+#
+NEWSCOMPAT = -Dgethostbyname=dns_gethostbyname \
+	-Dgethostbyaddr=dns_gethostbyaddr -Dgetnetbyname=dns_getnetbyname \
+	-Dgetnetbyaddr=dns_getnetbyaddr -Dsethostent=dns_sethostent \
+	-Dendhostent=dns_endhostent -Dgethostent=dns_gethostent \
+	-Dsetnetent=dns_setnetent -Dendnetent=dns_endnetent \
+	-Dgetnetent=dns_getnetent -Dsocket=_socket
+LOCDEFS= -DUSE_OPTIONS_H
+
+OBJS=	base64.o herror.o res_debug.o res_data.o \
+	res_comp.o res_init.o res_mkquery.o res_query.o res_send.o \
+	getnetbyaddr.o getnetbyname.o getnetent.o getnetnamadr.o \
+	gethnamaddr.o sethostent.o nsap_addr.o inet_pton.o inet_ntop.o \
+	inet_addr.o
+
+all: libresolv.so
+
+$(OBJS):
+	${SHCC} ${CFLAGS} ${PIC} -D_REENTRANT -c $? -o $@
+
+clean: FRC
+	rm -f errs a.out core libresolv.so tags *.o *.BAK *.CKP *~ *.orig
+
+depend: 
+	@echo No dependencies in `pwd`
+
+install: ${DESTDIR}${DESTLIB}/libresolv.so.2
+
+${DESTDIR}${DESTLIB}/libresolv.so.2: libresolv.so
+	${INSTALL} -c -o bin -g bin -m 755 libresolv.so \
+	 ${DESTDIR}${DESTLIB}/libresolv.so.2
+	rm -f ${DESTDIR}${DESTLIB}/libresolv.so
+	ln -s libresolv.so.2 ${DESTDIR}${DESTLIB}/libresolv.so
+
+FRC:
+
+libresolv.so: ${OBJS}
+	LD_OPTIONS="-h libresolv.so.2" $(SHLD) -o $@ $(OBJS) -lsocket -lnsl
+
+base64.o: ../../res/base64.c
+herror.o: ../../res/herror.c
+res_comp.o: ../../res/res_comp.c
+res_debug.o: ../../res/res_debug.c
+res_data.o: ../../res/res_data.c
+res_init.o: ../../res/res_init.c
+res_mkquery.o: ../../res/res_mkquery.c
+res_query.o: ../../res/res_query.c
+res_send.o: ../../res/res_send.c
+getnetbyaddr.o: ../../res/getnetbyaddr.c
+getnetbyname.o: ../../res/getnetbyname.c
+getnetent.o: ../../res/getnetent.c
+getnetnamadr.o: ../../res/getnetnamadr.c
+gethnamaddr.o: ../../res/gethnamaddr.c
+sethostent.o: ../../res/sethostent.c
+nsap_addr.o: ../../res/nsap_addr.c
+inet_addr.o: ../../res/inet_addr.c
+inet_ntop.o: ../../res/inet_ntop.c
+inet_pton.o: ../../res/inet_pton.c