BIND 4.9.7-REL for NEWS-OS Release 4.x

$B9=C[4D6-(B:

  NWS-5000X
  NEWS-OS Release 4.2.1a+
  NEWS-C 2.11
  GNU make 3.75

$B%$%s%9%H!<%kJ}K!(B:

 % mkdir bind-4.9.7
 % cd bind-4.9.7
 % gzip -dc bind-4.9.7-REL.tar.gz | tar xf -
 % patch -p1 < [ThisFile]
 % make
 # make install


Toshio Hiraga <hiraga@ba2.so-net.ne.jp>



diff -urP 4.9.7/Makefile 4.9.7-newsos4/Makefile
--- 4.9.7/Makefile	Mon May 11 13:19:27 1998
+++ 4.9.7-newsos4/Makefile	Tue Sep 28 20:40:42 1999
@@ -99,6 +99,21 @@
 SHLD =
 PIC =
 
+#(Sony NWS-3800 NEWS-OS Release 4.2.1R)
+#CDEBUG = -O -Olimit 2000
+CDEBUG = -O
+LEX = lex
+LIBS = -ll -lmld
+PIDDIR = /etc
+DESTBIN = /usr/bin
+DESTSBIN = /usr/etc
+DESTEXEC = /usr/etc
+DESTHELP = /usr/lib
+DESTLIB = /usr/local/lib
+DESTINC = /usr/local/include
+DESTMAN = /usr/local/man/C
+IOT = IOT
+
 # (NetBSD - for details on shared library building, see shres/netbsd/INSTALL)
 #uncomment next three lines to build a shared library version of libresolv
 #SHRES = shres/netbsd
diff -urP 4.9.7/compat/lib/Makefile 4.9.7-newsos4/compat/lib/Makefile
--- 4.9.7/compat/lib/Makefile	Mon Jun  2 05:34:12 1997
+++ 4.9.7-newsos4/compat/lib/Makefile	Mon Sep 27 11:17:58 1999
@@ -87,7 +87,7 @@
 install: ${DESTDIR}${DESTLIB}/lib44bsd.a
 
 ${DESTDIR}${DESTLIB}/lib44bsd.a: lib44bsd.a
-	${INSTALL} -c -o bin -g bin -m 644 lib44bsd.a ${DESTDIR}${DESTLIB}/
+	${INSTALL} -c -o root -g staff -m 644 lib44bsd.a ${DESTDIR}${DESTLIB}/
 	( cd ${DESTDIR}${DESTLIB} ; $(RANLIB) lib44bsd.a )
 
 .c.o:
diff -urP 4.9.7/conf/portability.h 4.9.7-newsos4/conf/portability.h
--- 4.9.7/conf/portability.h	Mon Jun  2 05:34:13 1997
+++ 4.9.7-newsos4/conf/portability.h	Mon Sep 27 11:17:58 1999
@@ -103,6 +103,11 @@
 # include <net/errno.h>
 #endif
 
+#if defined(NEWSOS4)
+typedef int  pid_t;
+# define NEED_PUTENV
+#endif
+
 #if defined(__convex__)
 # if !defined(_POSIX_SOURCE)
 #  define _POSIX_SOURCE
@@ -487,7 +492,7 @@
 # undef WTERMSIG
 #endif /* NeXT */
 
-#if defined(sequent)
+#if defined(sequent) || defined(NEWSOS4)
 #define WEXITSTATUS(x)	((x).w_retcode)
 #define WTERMSIG(x)	((x).w_termsig)
 #endif /* sequent */
diff -urP 4.9.7/named/Makefile 4.9.7-newsos4/named/Makefile
--- 4.9.7/named/Makefile	Sun Sep 22 09:12:55 1996
+++ 4.9.7-newsos4/named/Makefile	Mon Sep 27 11:17:58 1999
@@ -172,15 +172,15 @@
 	mkdep ${CPPFLAGS} -I${INCL} -I${COMPINCL} ${SRCS} ${XFERSRCS}
 
 install:
-	${INSTALL} -c -s -o bin -g bin -m 555 \
+	${INSTALL} -c -s -o root -g staff -m 555 \
 		named ${DESTDIR}${DESTSBIN}/${INDOT}named
-	${INSTALL} -c -s -o bin -g bin -m 555 \
+	${INSTALL} -c -s -o root -g staff -m 555 \
 		named-xfer ${DESTDIR}${PATH_XFER}
-	${INSTALL} -c -o bin -g bin -m 555 \
+	${INSTALL} -c -o root -g staff -m 555 \
 		named.restart ${DESTDIR}${DESTSBIN}/${INDOT}named.restart
-	${INSTALL} -c -o bin -g bin -m 555 \
+	${INSTALL} -c -o root -g staff -m 555 \
 		named.reload ${DESTDIR}${DESTSBIN}/${INDOT}named.reload
-	${INSTALL} -c -o bin -g bin -m 555 \
+	${INSTALL} -c -o root -g staff -m 555 \
 		ndc ${DESTDIR}${DESTSBIN}/${INDOT}ndc
 	@echo "*** Install symlinks if needed ***"
 
diff -urP 4.9.7/named/ns_maint.c 4.9.7-newsos4/named/ns_maint.c
--- 4.9.7/named/ns_maint.c	Sun Sep 22 09:13:06 1996
+++ 4.9.7-newsos4/named/ns_maint.c	Mon Sep 27 11:17:58 1999
@@ -370,7 +370,7 @@
 static struct {
 	pid_t 	xfer_pid;
 	int	xfer_state; /* see below */
-#ifdef sequent
+#if defined(sequent) || defined(NEWSOS4)
 	union wait xfer_status;
 #else
 	int	xfer_status;
@@ -854,7 +854,7 @@
 reapchild()
 {
 	int pid, i, save_errno;
-#if defined(sequent)
+#if defined(sequent) || defined(NEWSOS4)
 	union wait status;
 #else
 	int status;
@@ -891,7 +891,7 @@
 {
     	register struct zoneinfo *zp;   
 	int exitstatus, pid, i;
-#if defined(sequent)
+#if defined(sequent) || defined(NEWSOS4)
 	union wait status;
 #else
 	int status;
diff -urP 4.9.7/res/Makefile 4.9.7-newsos4/res/Makefile
--- 4.9.7/res/Makefile	Tue Apr  7 13:23:51 1998
+++ 4.9.7-newsos4/res/Makefile	Mon Sep 27 11:17:58 1999
@@ -94,7 +94,7 @@
 install: ${DESTDIR}${DESTLIB}/libresolv.a
 
 ${DESTDIR}${DESTLIB}/libresolv.a: libresolv.a
-	${INSTALL} -c -o bin -g bin -m 644 libresolv.a ${DESTDIR}${DESTLIB}/
+	${INSTALL} -c -o root -g staff -m 644 libresolv.a ${DESTDIR}${DESTLIB}/
 	( cd ${DESTDIR}${DESTLIB} ; $(RANLIB) libresolv.a )
 
 .c.o:
diff -urP 4.9.7/tools/nslookup/Makefile 4.9.7-newsos4/tools/nslookup/Makefile
--- 4.9.7/tools/nslookup/Makefile	Fri Dec 22 19:20:28 1995
+++ 4.9.7-newsos4/tools/nslookup/Makefile	Mon Sep 27 11:17:58 1999
@@ -112,8 +112,8 @@
 	mkdep ${CPPFLAGS} -I${INCL} -I${COMPINCL} ${DEFS} ${SRCS}
 
 install:
-	${INSTALL} -s -c -o bin -g bin -m 755 nslookup ${DESTDIR}${DESTBIN}/
-	${INSTALL}    -c -o bin -g bin -m 444 nslookup.help \
+	${INSTALL} -s -c -o root -g staff -m 755 nslookup ${DESTDIR}${DESTBIN}/
+	${INSTALL}    -c -o root -g staff -m 444 nslookup.help \
 		 ${DESTDIR}${DESTHELP}/
 
 lint: ${CSRCS}