BIND 8.1.1 for NEWS-OS Release 6.x


$B9=C[4D6-(B:
  NWS-5000TF
  NEWS-OS Release 6.1.2
  NEWS-C 1.010
  GNU make 3.75
  GNU flex 2.5.4


Tips:
  OS$B$N(Blex$B$@$H$&$^$/$$$+$J$C$?$N$G!"(BGNU flex$B$r;H$C$F$$$^$9!#(B
  gettimeofday$B$N0z?tLdBj$O!"LLE]$/$5$$$N$G(BOS$B$N$b$N$r;H$&$h$&$K$7$F$$$^$9!#(B


$B%$%s%9%H!<%kJ}K!(B:
  # make
  # make install


hiraga@meis.sony.co.jp


diff -urP bind-8.1.1/src/bin/dig/dig.c bind-8.1.1-newsos6/src/bin/dig/dig.c
--- bind-8.1.1/src/bin/dig/dig.c	Fri Apr 25 09:01:05 1997
+++ bind-8.1.1-newsos6/src/bin/dig/dig.c	Wed Feb 18 17:28:36 1998
@@ -333,7 +333,7 @@
 	}
 
 	_res.id = 1;
-	gettimeofday(&tv1, NULL);
+	gettimeofday(&tv1);
 
 /*
  * Main section: once if cmd-line query
@@ -617,7 +617,7 @@
 					       myhostname,
 					       inet_ntoa(_res.nsaddr_list[i]
 							 .sin_addr));
-					gettimeofday(&exectime, NULL);
+					gettimeofday(&exectime);
 					t = (time_t)exectime.tv_sec;
 					printf(";; WHEN: %s", ctime(&t));
 				}
@@ -645,7 +645,7 @@
 		eecode = 0;
 		if (_res.pfcode & RES_PRF_HEAD1)
 			__fp_resstat(NULL, stdout);
-		(void) gettimeofday(&start_time, NULL);
+		(void) gettimeofday(&start_time);
 		if ((bytes_in = n = res_send(packet, n,
 					     answer, sizeof answer)) < 0) {
 			fflush(stdout);
@@ -663,7 +663,7 @@
 					exit(9);
 			}
 		}
-		(void) gettimeofday(&end_time, NULL);
+		(void) gettimeofday(&end_time);
 
 		if (_res.pfcode & RES_PRF_STATS) {
 			time_t t;
@@ -674,7 +674,7 @@
 			putchar('\n');
 			printf(";; FROM: %s to SERVER: %s\n",
 			       myhostname, srvmsg);
-			gettimeofday(&exectime,NULL);
+			gettimeofday(&exectime);
 			t = (time_t)exectime.tv_sec;
 			printf(";; WHEN: %s", ctime(&t));
 			printf(";; MSG SIZE  sent: %d  rcvd: %d\n",
@@ -697,7 +697,7 @@
  * Fairly crude method and low overhead method of keeping two
  * batches started at different sites somewhat synchronized.
  */
-		gettimeofday(&tv2, NULL);
+		gettimeofday(&tv2);
 		delay = (int)(tv2.tv_sec - tv1.tv_sec);
 		if (delay < wait) {
 			sleep(wait - delay);
diff -urP bind-8.1.1/src/bin/named/ns_glue.c bind-8.1.1-newsos6/src/bin/named/ns_glue.c
--- bind-8.1.1/src/bin/named/ns_glue.c	Thu May 22 04:52:19 1997
+++ bind-8.1.1-newsos6/src/bin/named/ns_glue.c	Wed Feb 18 17:36:57 1998
@@ -227,7 +227,7 @@
  */
 void
 gettime(struct timeval *ttp) {
-	if (gettimeofday(ttp, NULL) < 0)
+	if (gettimeofday(ttp) < 0)
 		ns_error(ns_log_default, "gettimeofday: %s", strerror(errno));
 }
 
diff -urP bind-8.1.1/src/lib/isc/ev_timers.c bind-8.1.1-newsos6/src/lib/isc/ev_timers.c
--- bind-8.1.1/src/lib/isc/ev_timers.c	Thu May 22 04:26:33 1997
+++ bind-8.1.1-newsos6/src/lib/isc/ev_timers.c	Wed Feb 18 17:26:33 1998
@@ -98,7 +98,7 @@
 	struct timeval now;
 	struct timespec ret;
 
-	if (gettimeofday(&now, NULL) < 0)
+	if (gettimeofday(&now) < 0)
 		return (evConsTime(0, 0));
 	return (evTimeSpec(now));
 }
diff -urP bind-8.1.1/src/lib/isc/logging.c bind-8.1.1-newsos6/src/lib/isc/logging.c
--- bind-8.1.1/src/lib/isc/logging.c	Thu May 22 04:24:24 1997
+++ bind-8.1.1-newsos6/src/lib/isc/logging.c	Wed Feb 18 16:54:10 1998
@@ -232,7 +232,7 @@
 	 * Get the current time and format it.
 	 */
 	time_buf[0]='\0';
-	if (gettimeofday(&tv, NULL) < 0) {
+	if (gettimeofday(&tv) < 0) {
 		syslog(LOG_INFO, "gettimeofday failed in log_vwrite()");
 	} else {
 		local_tm = localtime((time_t *)&tv.tv_sec);
diff -urP bind-8.1.1/src/lib/resolv/res_init.c bind-8.1.1-newsos6/src/lib/resolv/res_init.c
--- bind-8.1.1/src/lib/resolv/res_init.c	Mon Nov 18 18:10:04 1996
+++ bind-8.1.1-newsos6/src/lib/resolv/res_init.c	Wed Feb 18 16:52:36 1998
@@ -476,6 +476,6 @@
 {
 	struct timeval now;
 
-	gettimeofday(&now, NULL);
+	gettimeofday(&now);
 	return (0xffff & (now.tv_sec ^ now.tv_usec ^ getpid()));
 }
diff -urP bind-8.1.1/src/port/newsos6/Makefile bind-8.1.1-newsos6/src/port/newsos6/Makefile
--- bind-8.1.1/src/port/newsos6/Makefile	Thu Jan  1 09:00:00 1970
+++ bind-8.1.1-newsos6/src/port/newsos6/Makefile	Thu Jun 19 12:22:49 1997
@@ -0,0 +1,85 @@
+# Copyright (c) 1996 by Internet Software Consortium
+#
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND INTERNET SOFTWARE CONSORTIUM DISCLAIMS
+# ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES
+# OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL INTERNET SOFTWARE
+# CONSORTIUM BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
+# DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
+# PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
+# ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
+# SOFTWARE.
+
+# $Id: Makefile,v 1.2 1997/06/19 03:22:49 halley Exp $
+
+# these are only appropriate for BSD 4.4 or derivatives, and are used in
+# development.  normal builds will be done in the top level directory and
+# this Makefile will be invoked with a lot of overrides for the following:
+SYSTYPE= bsd
+DESTDIR =
+DESTLIB = /usr/local/lib
+O=o
+A=a
+CC= gcc
+LD= ld
+SHELL= /bin/sh
+CDEBUG= -g
+TOP= ../..
+INCL = ${TOP}/include
+PORTINCL = ${TOP}/port/${SYSTYPE}/include
+LIBBIND = ${TOP}/lib/libbind.${A}
+CFLAGS=	${CDEBUG} -I${PORTINCL} -I${INCL}
+LD_LIBFLAGS= -x -r
+AR= ar cruv
+RANLIB= ranlib
+INSTALL= install
+
+SUBDIRS= include
+
+SRCS=	noop.c
+
+OBJS=	noop.${O}
+
+MARGS= DESTDIR="${DESTDIR}" DESTINC="${DESTINC}" INSTALL="${INSTALL}"
+
+all depend clean distclean install::
+	@for x in ${SUBDIRS}; do \
+		(cd $$x; pwd; ${MAKE} ${MARGS} $@); \
+	done
+
+all:: ${LIBBIND}
+
+${LIBBIND}: ${OBJS}
+	${AR} ${LIBBIND} ${ARPREF} ${OBJS} ${ARSUFF}
+	${RANLIB} ${LIBBIND}
+
+.c.${O}:
+	${CC} ${CPPFLAGS} ${CFLAGS} -c $*.c
+	-${LDS} ${LD} ${LD_LIBFLAGS} $*.${O} && ${LDS} mv a.out $*.${O}
+
+distclean:: clean
+
+clean:: FRC
+	rm -f .depend a.out core tags
+	rm -f *.${O} *.BAK *.CKP *~
+
+depend:: FRC
+	mkdep -I${INCL} -I${PORTINCL} ${CPPFLAGS} ${SRCS}
+
+links: FRC
+	@set -e; ln -s SRC/*.[ch] SRC/bin SRC/Makefile.set SRC/probe .
+	@set -e; for x in ${SUBDIRS}; do \
+		( mkdir $$x; cd $$x; pwd; ln -s ../SRC/$$x SRC; \
+		cp SRC/Makefile Makefile; chmod +w Makefile; \
+		${MAKE} ${MARGS} links ); \
+	done
+
+install:: FRC
+
+FRC:
+
+# DO NOT DELETE THIS LINE -- mkdep uses it.
+# DO NOT PUT ANYTHING AFTER THIS LINE, IT WILL GO AWAY.
diff -urP bind-8.1.1/src/port/newsos6/Makefile.set bind-8.1.1-newsos6/src/port/newsos6/Makefile.set
--- bind-8.1.1/src/port/newsos6/Makefile.set	Thu Jan  1 09:00:00 1970
+++ bind-8.1.1-newsos6/src/port/newsos6/Makefile.set	Thu Feb 19 16:08:01 1998
@@ -0,0 +1,18 @@
+'CC=cc'
+'CDEBUG=-O -std'
+'DESTBIN=/usr/bin'
+'DESTSBIN=/usr/sbin'
+'DESTEXEC=/usr/sbin'
+'DESTMAN=/usr/share/man'
+'DESTHELP=/usr/lib'
+'LDS=:'
+'LEX=flex'
+'YACC=yacc -d'
+'SYSLIBS=-Bstatic -lfl -Bdynamic -lnsl -lsocket -lgen'
+'INSTALL=/usr/ucb/install'
+'PIDDIR=/etc/'
+'MANDIR=man/C'
+'MANROFF=man'
+'CATEXT=$$N'
+'PS=ps -f'
+'RANLIB=true'
diff -urP bind-8.1.1/src/port/newsos6/bin/mkdep bind-8.1.1-newsos6/src/port/newsos6/bin/mkdep
--- bind-8.1.1/src/port/newsos6/bin/mkdep	Thu Jan  1 09:00:00 1970
+++ bind-8.1.1-newsos6/src/port/newsos6/bin/mkdep	Tue Jun 17 12:28:54 1997
@@ -0,0 +1,143 @@
+#!/bin/sh -
+
+## ++Copyright++ 1987
+## -
+## Copyright (c) 1987 Regents of the University of California.
+## All rights reserved.
+## 
+## Redistribution and use in source and binary forms, with or without
+## modification, are permitted provided that the following conditions
+## are met:
+## 1. Redistributions of source code must retain the above copyright
+##    notice, this list of conditions and the following disclaimer.
+## 2. Redistributions in binary form must reproduce the above copyright
+##    notice, this list of conditions and the following disclaimer in the
+##    documentation and/or other materials provided with the distribution.
+## 3. All advertising materials mentioning features or use of this software
+##    must display the following acknowledgement:
+## This product includes software developed by the University of
+## California, Berkeley and its contributors.
+## 4. Neither the name of the University nor the names of its contributors
+##    may be used to endorse or promote products derived from this software
+##    without specific prior written permission.
+## THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
+## ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+## IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+## ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
+## FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+## DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+## OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+## HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+## LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+## OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+## SUCH DAMAGE.
+## -
+## Portions Copyright (c) 1993 by Digital Equipment Corporation.
+## 
+## Permission to use, copy, modify, and distribute this software for any
+## purpose with or without fee is hereby granted, provided that the above
+## copyright notice and this permission notice appear in all copies, and that
+## the name of Digital Equipment Corporation not be used in advertising or
+## publicity pertaining to distribution of the document or software without
+## specific, written prior permission.
+## 
+## THE SOFTWARE IS PROVIDED "AS IS" AND DIGITAL EQUIPMENT CORP. DISCLAIMS ALL
+## WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
+## OF MERCHANTABILITY AND FITNESS.   IN NO EVENT SHALL DIGITAL EQUIPMENT
+## CORPORATION BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
+## DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
+## PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
+## ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
+## SOFTWARE.
+## -
+## --Copyright--
+
+#
+#	@(#)mkdep.sh	5.12 (Berkeley) 6/30/88
+#
+PATH=/bin:/usr/bin:/usr/ucb:$PATH; export PATH
+
+MAKE=Makefile			# default makefile name is "Makefile"
+
+while :
+	do case "$1" in
+		# -f allows you to select a makefile name
+		-f)
+			MAKE=$2
+			shift; shift ;;
+
+		# the -p flag produces "program: program.c" style dependencies
+		# so .o's don't get produced
+		-p)
+			SED='s;\.o;;'
+			shift ;;
+		*)
+			break ;;
+	esac
+done
+
+if [ $# = 0 ] ; then
+	echo 'usage: mkdep [-p] [-f makefile] [flags] file ...'
+	exit 1
+fi
+
+if [ ! -w $MAKE ]; then
+	echo "mkdep: no writeable file \"$MAKE\""
+	exit 1
+fi
+
+TMP=/tmp/mkdep$$
+
+trap 'rm -f $TMP ; exit 1' 1 2 3 13 15
+
+cp $MAKE ${MAKE}.bak
+
+sed -e '/DO NOT DELETE THIS LINE/,$d' < $MAKE > $TMP
+
+cat << _EOF_ >> $TMP
+# DO NOT DELETE THIS LINE -- mkdep uses it.
+# DO NOT PUT ANYTHING AFTER THIS LINE, IT WILL GO AWAY.
+
+_EOF_
+
+# If your compiler doesn't have -M, add it.  If you can't, the next two
+# lines will try and replace the "cc -M".  The real problem is that this
+# hack can't deal with anything that requires a search path, and doesn't
+# even try for anything using bracket (<>) syntax.
+#
+# egrep '^#include[ 	]*".*"' /dev/null $* |
+# sed -e 's/:[^"]*"\([^"]*\)".*/: \1/' -e 's/\.c/.o/' |
+
+gcc -M $* |
+sed "
+	s; \./; ;g
+	$SED" |
+awk '{
+	if ($1 != prev) {
+		if (rec != "")
+			print rec;
+		rec = $0;
+		prev = $1;
+	}
+	else {
+		if (length(rec $2) > 78) {
+			print rec;
+			rec = $0;
+		}
+		else
+			rec = rec " " $2
+	}
+}
+END {
+	print rec
+}' >> $TMP
+
+cat << _EOF_ >> $TMP
+
+# IF YOU PUT ANYTHING HERE IT WILL GO AWAY
+_EOF_
+
+# copy to preserve permissions
+cp $TMP $MAKE
+rm -f ${MAKE}.bak $TMP
+exit 0
diff -urP bind-8.1.1/src/port/newsos6/include/Makefile bind-8.1.1-newsos6/src/port/newsos6/include/Makefile
--- bind-8.1.1/src/port/newsos6/include/Makefile	Thu Jan  1 09:00:00 1970
+++ bind-8.1.1-newsos6/src/port/newsos6/include/Makefile	Thu Jun 19 12:22:50 1997
@@ -0,0 +1,91 @@
+# ++Copyright++
+# -
+# Copyright (c) 
+#    The Regents of the University of California.  All rights reserved.
+# 
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+# 3. All advertising materials mentioning features or use of this software
+#    must display the following acknowledgement:
+# 	This product includes software developed by the University of
+# 	California, Berkeley and its contributors.
+# 4. Neither the name of the University nor the names of its contributors
+#    may be used to endorse or promote products derived from this software
+#    without specific prior written permission.
+# 
+# THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -
+# Portions Copyright (c) 1993 by Digital Equipment Corporation.
+# 
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies, and that
+# the name of Digital Equipment Corporation not be used in advertising or
+# publicity pertaining to distribution of the document or software without
+# specific, written prior permission.
+# 
+# THE SOFTWARE IS PROVIDED "AS IS" AND DIGITAL EQUIPMENT CORP. DISCLAIMS ALL
+# WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
+# OF MERCHANTABILITY AND FITNESS.   IN NO EVENT SHALL DIGITAL EQUIPMENT
+# CORPORATION BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
+# DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
+# PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
+# ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
+# SOFTWARE.
+# -
+# --Copyright--
+
+SUBDIRS = sys
+HFILES =
+
+DESTDIR=
+DESTINC= /usr/local/bind/include
+INSTALL= install
+
+MARGS= DESTDIR="${DESTDIR}" DESTINC="${DESTINC}" INSTALL="${INSTALL}"
+
+all depend clean distclean install::
+	@for x in ${SUBDIRS}; do \
+		(cd $$x; pwd; ${MAKE} ${MARGS} $@); \
+	done
+
+distclean:: clean
+
+clean::
+	rm -f *~ *.BAK *.CKP *.orig
+
+links: FRC
+	@set -e; ln -s SRC/*.h .
+	@set -e; for x in ${SUBDIRS}; do \
+		( mkdir $$x; cd $$x; pwd; ln -s ../SRC/$$x SRC; \
+		cp SRC/Makefile Makefile; chmod +w Makefile; \
+		${MAKE} ${MARGS} links ); \
+	done
+
+install:: ${DESTDIR}${DESTINC}
+	-for x in "" ${HFILES}; do \
+	    if [ -n "$$x" ]; then \
+		${INSTALL} -c -m 444 $$x ${DESTDIR}${DESTINC}/$$x; \
+	    fi; \
+	done
+
+${DESTDIR}${DESTINC}:
+	mkdir -p ${DESTDIR}${DESTINC}
+
+FRC:
diff -urP bind-8.1.1/src/port/newsos6/include/paths.h bind-8.1.1-newsos6/src/port/newsos6/include/paths.h
--- bind-8.1.1/src/port/newsos6/include/paths.h	Thu Jan  1 09:00:00 1970
+++ bind-8.1.1-newsos6/src/port/newsos6/include/paths.h	Tue Jun 17 12:28:55 1997
@@ -0,0 +1,2 @@
+#define _PATH_DEVNULL "/dev/null"
+
diff -urP bind-8.1.1/src/port/newsos6/include/port_after.h bind-8.1.1-newsos6/src/port/newsos6/include/port_after.h
--- bind-8.1.1/src/port/newsos6/include/port_after.h	Thu Jan  1 09:00:00 1970
+++ bind-8.1.1-newsos6/src/port/newsos6/include/port_after.h	Thu Feb 19 13:23:40 1998
@@ -0,0 +1,67 @@
+#undef HAS_SA_LEN
+#define USE_POSIX
+#define POSIX_SIGNALS
+#define USE_WAITPID
+#define VSPRINTF_CHAR
+#define SPRINTF_CHAR
+#define HAVE_FCHMOD
+#define SETGRENT_VOID
+#define SETPWENT_VOID
+#define IP_OPT_BUF_SIZE 40
+#define NEED_PSELECT
+#define SIOCGIFCONF_ADDR
+#undef _PATH_NAMED
+#define _PATH_NAMED	"/usr/sbin/in.named"
+#undef _PATH_XFER
+#define _PATH_XFER	"/usr/sbin/named-xfer"
+#undef _PATH_PIDFILE
+#define _PATH_PIDFILE	"/etc/named.pid"
+
+#define PORT_NONBLOCK	O_NONBLOCK
+#define PORT_WOULDBLK	EWOULDBLOCK
+#define WAIT_T		int
+
+#ifndef MIN
+# define MIN(x, y)	((x > y) ?y :x)
+#endif
+#ifndef MAX
+# define MAX(x, y)	((x > y) ?x :y)
+#endif
+
+/*
+ * We need to know the IPv6 address family number even on IPv4-only systems.
+ * Note that this is NOT a protocol constant, and that if the system has its
+ * own AF_INET6, different from ours below, all of BIND's libraries and
+ * executables will need to be recompiled after the system <sys/socket.h>
+ * has had this type added.  The type number below is correct on most BSD-
+ * derived systems for which AF_INET6 is defined.
+ */
+#ifndef AF_INET6
+#define AF_INET6	24
+#endif
+
+#include <sys/types.h>
+extern int gethostname(char *, size_t);
+
+#define NEED_STRSEP
+extern char *strsep(char **, const char *);
+
+#define NEED_DAEMON
+extern int daemon(int nochdir, int noclose);
+
+#define NEED_UTIMES
+#include <sys/time.h>
+#define utimes __utimes
+int __utimes(char *, struct timeval *);
+
+#define NEED_MKSTEMP
+int mkstemp(char *);
+
+/*
+ * Solaris defines this in <netdb.h> instead of in <sys/param.h>.  We don't
+ * define it in our <netdb.h>, so we define it here.
+ * so does UnixWare (which is what this port is based on).
+ */
+#ifndef MAXHOSTNAMELEN
+#define MAXHOSTNAMELEN 256
+#endif
diff -urP bind-8.1.1/src/port/newsos6/include/port_before.h bind-8.1.1-newsos6/src/port/newsos6/include/port_before.h
--- bind-8.1.1/src/port/newsos6/include/port_before.h	Thu Jan  1 09:00:00 1970
+++ bind-8.1.1-newsos6/src/port/newsos6/include/port_before.h	Thu Feb 19 14:06:22 1998
@@ -0,0 +1,11 @@
+#define __EXTENSIONS__
+#define SVR4
+#define SIG_FN void
+
+#include <limits.h>	/* _POSIX_PATH_MAX */
+
+#include <time.h>
+struct timespec {
+	time_t	tv_sec;		/* seconds */
+	long	tv_nsec;	/* nanoseconds */
+};
diff -urP bind-8.1.1/src/port/newsos6/include/sys/Makefile bind-8.1.1-newsos6/src/port/newsos6/include/sys/Makefile
--- bind-8.1.1/src/port/newsos6/include/sys/Makefile	Thu Jan  1 09:00:00 1970
+++ bind-8.1.1-newsos6/src/port/newsos6/include/sys/Makefile	Thu Jun 19 12:22:51 1997
@@ -0,0 +1,77 @@
+# ++Copyright++
+# -
+# Copyright (c) 
+#    The Regents of the University of California.  All rights reserved.
+# 
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+# 3. All advertising materials mentioning features or use of this software
+#    must display the following acknowledgement:
+# 	This product includes software developed by the University of
+# 	California, Berkeley and its contributors.
+# 4. Neither the name of the University nor the names of its contributors
+#    may be used to endorse or promote products derived from this software
+#    without specific prior written permission.
+# 
+# THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -
+# Portions Copyright (c) 1993 by Digital Equipment Corporation.
+# 
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies, and that
+# the name of Digital Equipment Corporation not be used in advertising or
+# publicity pertaining to distribution of the document or software without
+# specific, written prior permission.
+# 
+# THE SOFTWARE IS PROVIDED "AS IS" AND DIGITAL EQUIPMENT CORP. DISCLAIMS ALL
+# WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
+# OF MERCHANTABILITY AND FITNESS.   IN NO EVENT SHALL DIGITAL EQUIPMENT
+# CORPORATION BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
+# DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
+# PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
+# ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
+# SOFTWARE.
+# -
+# --Copyright--
+
+HFILES= bitypes.h cdefs.h
+
+DESTDIR=
+DESTINC= /usr/local/bind/include
+
+all depend:
+
+distclean: clean
+
+clean:
+	rm -f *~ *.BAK *.CKP *.orig time.h stat.h
+
+links:
+	@set -e; ln -s SRC/*.h .
+
+install: ${DESTDIR}${DESTINC}/sys
+	for x in ${HFILES}; do \
+		if [ -f $$x ]; then \
+			${INSTALL} -c -m 444 $$x ${DESTDIR}${DESTINC}/sys/$$x;\
+		fi; \
+	done
+
+${DESTDIR}${DESTINC}/sys:
+	mkdir -p ${DESTDIR}${DESTINC}/sys
diff -urP bind-8.1.1/src/port/newsos6/include/sys/bitypes.h bind-8.1.1-newsos6/src/port/newsos6/include/sys/bitypes.h
--- bind-8.1.1/src/port/newsos6/include/sys/bitypes.h	Thu Jan  1 09:00:00 1970
+++ bind-8.1.1-newsos6/src/port/newsos6/include/sys/bitypes.h	Tue Jun 17 12:28:57 1997
@@ -0,0 +1,37 @@
+/*
+ * Copyright (c) 1996 by Internet Software Consortium.
+ *
+ * Permission to use, copy, modify, and distribute this software for any
+ * purpose with or without fee is hereby granted, provided that the above
+ * copyright notice and this permission notice appear in all copies.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS" AND INTERNET SOFTWARE CONSORTIUM DISCLAIMS
+ * ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL INTERNET SOFTWARE
+ * CONSORTIUM BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
+ * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
+ * PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
+ * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
+ * SOFTWARE.
+ */
+
+#ifndef __BIT_TYPES_DEFINED__
+#define __BIT_TYPES_DEFINED__
+
+	/*
+	 * Basic integral types.  Omit the typedef if
+	 * not possible for a machine/compiler combination.
+	 */
+	typedef /*signed*/ char            int8_t;
+	typedef unsigned char            u_int8_t;
+	typedef short                     int16_t;
+	typedef unsigned short          u_int16_t;
+	typedef int                       int32_t;
+	typedef unsigned int            u_int32_t;
+
+# if 0	/* don't fight with these unless you need them */
+	typedef long long                 int64_t;
+	typedef unsigned long long      u_int64_t;
+# endif
+
+#endif	/* __BIT_TYPES_DEFINED__ */
diff -urP bind-8.1.1/src/port/newsos6/include/sys/cdefs.h bind-8.1.1-newsos6/src/port/newsos6/include/sys/cdefs.h
--- bind-8.1.1/src/port/newsos6/include/sys/cdefs.h	Thu Jan  1 09:00:00 1970
+++ bind-8.1.1-newsos6/src/port/newsos6/include/sys/cdefs.h	Tue Jun 17 12:28:57 1997
@@ -0,0 +1,144 @@
+/*
+ * ++Copyright++ 1991, 1993
+ * -
+ * Copyright (c) 1991, 1993
+ *    The Regents of the University of California.  All rights reserved.
+ * 
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ * 3. All advertising materials mentioning features or use of this software
+ *    must display the following acknowledgement:
+ * 	This product includes software developed by the University of
+ * 	California, Berkeley and its contributors.
+ * 4. Neither the name of the University nor the names of its contributors
+ *    may be used to endorse or promote products derived from this software
+ *    without specific prior written permission.
+ * 
+ * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
+ * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
+ * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+ * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+ * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+ * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ * SUCH DAMAGE.
+ * -
+ * Portions Copyright (c) 1993 by Digital Equipment Corporation.
+ * 
+ * Permission to use, copy, modify, and distribute this software for any
+ * purpose with or without fee is hereby granted, provided that the above
+ * copyright notice and this permission notice appear in all copies, and that
+ * the name of Digital Equipment Corporation not be used in advertising or
+ * publicity pertaining to distribution of the document or software without
+ * specific, written prior permission.
+ * 
+ * THE SOFTWARE IS PROVIDED "AS IS" AND DIGITAL EQUIPMENT CORP. DISCLAIMS ALL
+ * WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS.   IN NO EVENT SHALL DIGITAL EQUIPMENT
+ * CORPORATION BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
+ * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
+ * PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
+ * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
+ * SOFTWARE.
+ * -
+ * --Copyright--
+ */
+
+/*
+ *	@(#)cdefs.h	8.1 (Berkeley) 6/2/93
+ *	$Id: cdefs.h,v 1.1 1997/06/17 03:28:57 halley Exp $
+ */
+
+#ifndef	_CDEFS_H_
+#define	_CDEFS_H_
+
+#if defined(__cplusplus)
+#define	__BEGIN_DECLS	extern "C" {
+#define	__END_DECLS	};
+#else
+#define	__BEGIN_DECLS
+#define	__END_DECLS
+#endif
+
+/*
+ * The __CONCAT macro is used to concatenate parts of symbol names, e.g.
+ * with "#define OLD(foo) __CONCAT(old,foo)", OLD(foo) produces oldfoo.
+ * The __CONCAT macro is a bit tricky -- make sure you don't put spaces
+ * in between its arguments.  __CONCAT can also concatenate double-quoted
+ * strings produced by the __STRING macro, but this only works with ANSI C.
+ */
+#if defined(__STDC__) || defined(__cplusplus)
+#define	__P(protos)	protos		/* full-blown ANSI C */
+#define	__CONCAT(x,y)	x ## y
+#define	__STRING(x)	#x
+
+#define	__const		const		/* define reserved names to standard */
+#define	__signed	signed
+#define	__volatile	volatile
+#if defined(__cplusplus)
+#define	__inline	inline		/* convert to C++ keyword */
+#else
+#ifndef __GNUC__
+#define	__inline			/* delete GCC keyword */
+#endif /* !__GNUC__ */
+#endif /* !__cplusplus */
+
+#else	/* !(__STDC__ || __cplusplus) */
+#define	__P(protos)	()		/* traditional C preprocessor */
+#define	__CONCAT(x,y)	x/**/y
+#define	__STRING(x)	"x"
+
+#ifndef __GNUC__
+#define	__const				/* delete pseudo-ANSI C keywords */
+#define	__inline
+#define	__signed
+#define	__volatile
+/*
+ * In non-ANSI C environments, new programs will want ANSI-only C keywords
+ * deleted from the program and old programs will want them left alone.
+ * When using a compiler other than gcc, programs using the ANSI C keywords
+ * const, inline etc. as normal identifiers should define -DNO_ANSI_KEYWORDS.
+ * When using "gcc -traditional", we assume that this is the intent; if
+ * __GNUC__ is defined but __STDC__ is not, we leave the new keywords alone.
+ */
+#ifndef	NO_ANSI_KEYWORDS
+#define	const				/* delete ANSI C keywords */
+#define	inline
+#define	signed
+#define	volatile
+#endif
+#endif	/* !__GNUC__ */
+#endif	/* !(__STDC__ || __cplusplus) */
+
+/*
+ * GCC1 and some versions of GCC2 declare dead (non-returning) and
+ * pure (no side effects) functions using "volatile" and "const";
+ * unfortunately, these then cause warnings under "-ansi -pedantic".
+ * GCC2 uses a new, peculiar __attribute__((attrs)) style.  All of
+ * these work for GNU C++ (modulo a slight glitch in the C++ grammar
+ * in the distribution version of 2.5.5).
+ */
+#if !defined(__GNUC__) || __GNUC__ < 2 || __GNUC_MINOR__ < 5
+#define	__attribute__(x)	/* delete __attribute__ if non-gcc or gcc1 */
+#if defined(__GNUC__) && !defined(__STRICT_ANSI__)
+#define	__dead		__volatile
+#define	__pure		__const
+#endif
+#endif
+
+/* Delete pseudo-keywords wherever they are not available or needed. */
+#ifndef __dead
+#define	__dead
+#define	__pure
+#endif
+
+#endif /* !_CDEFS_H_ */
diff -urP bind-8.1.1/src/port/newsos6/noop.c bind-8.1.1-newsos6/src/port/newsos6/noop.c
--- bind-8.1.1/src/port/newsos6/noop.c	Thu Jan  1 09:00:00 1970
+++ bind-8.1.1-newsos6/src/port/newsos6/noop.c	Tue Jun 17 12:28:54 1997
@@ -0,0 +1,4 @@
+void
+__bind_noop() {
+	/* NOOP */
+}
diff -urP bind-8.1.1/src/port/newsos6/probe bind-8.1.1-newsos6/src/port/newsos6/probe
--- bind-8.1.1/src/port/newsos6/probe	Thu Jan  1 09:00:00 1970
+++ bind-8.1.1-newsos6/src/port/newsos6/probe	Thu Feb 19 17:48:11 1998
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+uname=/usr/bin/uname
+
+if [ -f $uname ]; then
+	case `$uname -s`-`$uname -r` in
+	NEWS-OS-6*) exit 0 ;;
+	esac
+fi
+
+exit 1