diff -urP qpopper3.0/doc/Makefile qpopper3.0-newsos/doc/Makefile
--- qpopper3.0/doc/Makefile	Sat May 22 10:45:03 1999
+++ qpopper3.0-newsos/doc/Makefile	Tue Oct 12 20:32:16 1999
@@ -39,11 +39,10 @@
 
 #               Defines are described in the INSTALL document.
 
-srcdir          =       ../././doc
-VPATH  		=       ${srcdir}
+srcdir          =       .
 CFLAGS		=	-g -O2 -fstrength-reduce -fpcc-struct-return 
 CDEFS		=	
-OS_DEFS		= 	 -DSOLARIS2 -DAUTH -DGNU_PASS -DNO_GETLINE -DCONTENT_LENGTH=1 -DUNIX
+OS_DEFS		= 	 -DUNIX
 prefix          =       /usr/local
 exec_prefix     =       ${prefix}
 TARGET		=	@TARGET@
@@ -51,10 +50,10 @@
 MANPAGE		=	popper.8
 CATPAGE		=	popper.0
 MANDIR		=	${prefix}/man/cat8
-NETWORK_LIBS	=	 -lnsl -lsocket -lresolv -lmail
+NETWORK_LIBS	=	 -lresolv
 KERBEROS_LIBS	=	
 DBM_LIBS	=	-lgdbm
-LIBS		= 	 -lnsl -lsocket -lresolv -lmail  -lgdbm  -lcrypt
+LIBS		= 	 -lresolv  -lgdbm 
 
 
 
diff -urP qpopper3.0/man/Makefile qpopper3.0-newsos/man/Makefile
--- qpopper3.0/man/Makefile	Sat May 22 10:45:03 1999
+++ qpopper3.0-newsos/man/Makefile	Tue Oct 12 20:32:15 1999
@@ -16,14 +16,13 @@
 CC 		= 	gcc
 GPERF 		= 	gperf
 MAKEFILE	=	Makefile
-YACC		=	yacc
+YACC		=	bison -y
 LEX		=	flex
 
 
-top_srcdir	=	.././.
-srcdir          =       ../././man
+top_srcdir	=	..
+srcdir          =       .
 builddir	=	${top_srcdir}/build
-VPATH  		=       ../././man
 prefix          =       /usr/local
 exec_prefix     =       ${prefix}
 installdir	=	${exec_prefix}/bin
@@ -42,7 +41,7 @@
 
 CFLAGS		=	-g -O2 -fstrength-reduce -fpcc-struct-return 
 CDEFS		=	
-OS_DEFS		= 	 -DSOLARIS2 -DAUTH -DGNU_PASS -DNO_GETLINE -DCONTENT_LENGTH=1 -DUNIX
+OS_DEFS		= 	 -DUNIX
 TARGET		=	@TARGET@
 MANPAGE		=	popper.8
 CATPAGE		=	popper.0
diff -urP qpopper3.0/mmangle/Makefile.in qpopper3.0-newsos/mmangle/Makefile.in
--- qpopper3.0/mmangle/Makefile.in	Sat Oct 17 04:44:24 1998
+++ qpopper3.0-newsos/mmangle/Makefile.in	Tue Oct 12 20:11:01 1999
@@ -55,7 +55,8 @@
 all: libmangle.a
 
 libmangle.a: ${OBJS}
-	ar -r $@ ${OBJS}
+	ar r $@ ${OBJS}
+	ranlib $@ ${OBJS}
 
 .c.o: 
 	${CC} -c -I${base_dir} -I${srcdir} -I${top_srcdir} -I${popper_srcdir} ${CFLAGS} ${DEFS} ${CDEFS} ${OS_DEFS} $< -o $@
diff -urP qpopper3.0/popper/pop_bull.c qpopper3.0-newsos/popper/pop_bull.c
--- qpopper3.0/popper/pop_bull.c	Sat Oct  3 09:39:40 1998
+++ qpopper3.0-newsos/popper/pop_bull.c	Tue Oct 12 19:19:58 1999
@@ -3,6 +3,10 @@
  *
  */
 
+#if defined(__sony_news) && !defined(__svr4)
+#include <sys/types.h>
+#endif
+
 #if HAVE_CONFIG_H
 # include <config.h>
 #endif
diff -urP qpopper3.0/popper/pop_msg.c qpopper3.0-newsos/popper/pop_msg.c
--- qpopper3.0/popper/pop_msg.c	Sat Oct  3 09:39:41 1998
+++ qpopper3.0-newsos/popper/pop_msg.c	Tue Oct 12 20:16:19 1999
@@ -6,6 +6,9 @@
 
 #include <config.h>
 #include <stdio.h>
+#if defined(__sony_news) && !defined(__svr4)
+#include <ctype.h>
+#endif
 #include <sys/types.h>
 #include <string.h>
 #if HAVE_STRINGS_H
diff -urP qpopper3.0/popper/pop_xmit.c qpopper3.0-newsos/popper/pop_xmit.c
--- qpopper3.0/popper/pop_xmit.c	Sat Oct  3 09:39:41 1998
+++ qpopper3.0-newsos/popper/pop_xmit.c	Tue Oct 12 19:16:29 1999
@@ -100,7 +100,7 @@
 POP *p;
 {
 
-#ifdef NEXT
+#if defined(NeXT) || defined(__sony_news) && !defined(__svr4)
     union	wait	    stat;
 #else
     int			    stat;
@@ -139,14 +139,14 @@
 							MAIL_COMMAND, errno));
         default:
 
-#ifdef NEXT
+#if defined(NeXT) || defined(__sony_news) && !defined(__svr4)
             while((id = wait(&stat)) >=0 && id != pid);
 #else
             id = waitpid(pid, &stat, 0);
 #endif
             if (!p->debug) (void)unlink (temp_xmit);
 
-#ifdef NEXT
+#if defined(NeXT) || defined(__sony_news) && !defined(__svr4)
             if (!WIFEXITED (stat))
 #else
             if ((!WIFEXITED (stat)) || (WEXITSTATUS (stat) != 0))
Binary files qpopper3.0/popper/popauth and qpopper3.0-newsos/popper/popauth differ
diff -urP qpopper3.0/popper/popper.h qpopper3.0-newsos/popper/popper.h
--- qpopper3.0/popper/popper.h	Sat May 22 08:49:16 1999
+++ qpopper3.0-newsos/popper/popper.h	Tue Oct 12 19:23:23 1999
@@ -143,7 +143,13 @@
 #define	TIME_T		time_t
 #define SIZE_T		size_t
 
-#ifdef NEXT
+#if defined(__sony_news) && !defined(__svr4)
+#undef PID_T
+#define PID_T		int
+#define SEEK_SET	0
+#endif
+
+#ifdef NeXT
 #undef PID_T
 #define PID_T		int
 #endif