diff -urP socks.cstc.4.2.2/Makefile socks.cstc.4.2.2-newsos4/Makefile
--- socks.cstc.4.2.2/Makefile	Wed Aug 30 08:01:15 1995
+++ socks.cstc.4.2.2-newsos4/Makefile	Wed Oct 15 14:21:12 1997
@@ -22,13 +22,13 @@
 #GETCWD=-DGETCWD
 
 #If your system doesn't have waitpid(), uncomment the nextline:
-#NO_WAITPID=-DNO_WAITPID
+NO_WAITPID=-DNO_WAITPID
 
 # Define TRY_PASV if you want ftp (rftp) to try initiating the
 # connection to the ftp server for the data channel first. If
 # that fails, it will then use the usually method of letting
 # the ftp server make the connection.
-TRY_PASV=-DTRY_PASV
+#TRY_PASV=-DTRY_PASV
 #
 # Normally for ftp (rftp) to work, you have allow incoming connections
 # to your SOCKS server host (at least those coming from port 20). If
@@ -51,8 +51,8 @@
 #FOR_PS=-DFOR_PS
 
 # optimization flag for cc
-OPTIMIZE=-g
-#OPTIMIZE=-O
+#OPTIMIZE=-g
+OPTIMIZE=-O
 # Be careful with the OPTIMIZE flag. SunPro's SC2.0.1, for example, is
 # knwon to produce incorrect code when -O is used.
 
@@ -70,13 +70,13 @@
 # or 'h_errno redefined' error message,
 # this is the macro to change. Define it or undefine it, whichever
 # works. The reasons are too messy to explain.
-#BIND_RESOLVER=-DBIND_RESOLVER
+BIND_RESOLVER=-DBIND_RESOLVER
 
 # Directory into which to install the man pages
-MAN_DEST_DIR = /usr/local/man
+MAN_DEST_DIR = /usr/local/man/C
 
 # Directory into which the SOCKS server should be installed
-SERVER_BIN_DIR = /usr/etc
+SERVER_BIN_DIR = /usr/local/etc
 
 # Directory into the client programs should be installed
 CLIENTS_BIN_DIR = /usr/local/bin
@@ -103,13 +103,13 @@
 #GETPASS=getpass.o
 
 # IRIX 5 should use
-CC=cc
-RESOLV_LIB=-lsun
-OTHER_CFLAGS=-cckr $(GETCWD) $(FASCIST) $(SHORTENED_RBIND) -DCOMPAT -DSVR3 -DNCARGS=`sysconf ARG_MAX` -D_BSD_SIGNALS $(TRY_PASV)
-RANLIB=/bin/true
-OS=irix5
-INSTALL=bsdinstall
-GETPASS=getpass.o
+#CC=cc
+#RESOLV_LIB=-lsun
+#OTHER_CFLAGS=-cckr $(GETCWD) $(FASCIST) $(SHORTENED_RBIND) -DCOMPAT -DSVR3 -DNCARGS=`sysconf ARG_MAX` -D_BSD_SIGNALS $(TRY_PASV)
+#RANLIB=/bin/true
+#OS=irix5
+#INSTALL=bsdinstall
+#GETPASS=getpass.o
 
 # Ultrix 4.0 should use
 #CC=cc
@@ -289,13 +289,13 @@
 #GETPASS=
   
 # NewsOS 4.x should use
-#CC=gcc
-#OTHER_CFLAGS= $(GETCWD) $(FASCIST) $(SHORTENED_RBIND) -DCOMPAT $(DEBUG) $(TRY_PASV)
-#RANLIB=ranlib
-#OS=newsos4
-#INSTALL=install
-#GETPASS=getpass.o
-#RESOLV_LIB=-lresolv -l44bsd
+CC=gcc
+OTHER_CFLAGS= $(GETCWD) $(FASCIST) $(SHORTENED_RBIND) -DCOMPAT $(DEBUG) $(TRY_PASV)
+RANLIB=ranlib
+OS=newsos4
+INSTALL=install -c
+GETPASS=getpass.o
+RESOLV_LIB=-lresolv -l44bsd
 # !!! Remember to define NO_WAITPID !!!
 
 # >>>---------------- Others:
@@ -335,7 +335,7 @@
 # <<<----------------
 
 # The Internet Whois server; used to be nic.ddn.mil.
-WHOIS_SERVER= WHOIS_SERVER=-DWHOIS_SERVER\'=\"rs.internic.net\"\'
+WHOIS_SERVER= WHOIS_SERVER=-DWHOIS_SERVER\'=\"whois.nic.ad.jp\"\'
 
 SOCKS_LIB=$(PWD)/lib/libsocks.a
 IDENT_LIB=$(PWD)/libident/libident.a
diff -urP socks.cstc.4.2.2/include/socks.h socks.cstc.4.2.2-newsos4/include/socks.h
--- socks.cstc.4.2.2/include/socks.h	Wed Aug 30 08:01:50 1995
+++ socks.cstc.4.2.2-newsos4/include/socks.h	Wed Oct 15 18:15:03 1997
@@ -6,7 +6,7 @@
  * This is overridden at run time by the contents of environment
  * variable SOCKS_SERVER if it exists.
  */
-#define SOCKS_DEFAULT_SERVER	"SOCKS.server.for.your.site"
+#define	SOCKS_DEFAULT_SERVER	"43.22.253.1"
 
 /*
  * Default Domain Nameserver for the SOCKS clients.
@@ -19,7 +19,7 @@
  * This is overriden at run time by the contents of environment
  * variable SOCKS_NS if it exists.
  */
-/* #define SOCKS_DEFAULT_NS	"1.2.3.4" */
+#define	SOCKS_DEFAULT_NS	"43.22.253.1"
 
 /* >>> jon r. luini <jonl@hal.com> */
 /*
@@ -33,7 +33,7 @@
  * This is overriden at run time by the contents of environment
  * variable SOCKS_DNAME if it exists.
  */
-/* #define       SOCKS_DEFAULT_DNAME     "hal.COM" */
+#define	SOCKS_DEFAULT_DNAME	"Sony.CO.JP"
 /* <<< jon r. luini <jonl@hal.com> */
 
 /*
@@ -45,7 +45,7 @@
  * whether the hosts you try to connect is inside or outside the
  * firewall.
  */
-#define VERSATILE_CLIENTS
+/* #define VERSATILE_CLIENTS */
 
 /*
  * Full pathname of the regular 'finger' program.
@@ -54,7 +54,7 @@
  * to /usr/ucb/finger.orig and the pathname you should use here is the
  * new (altered) pathname, i.e., /usr/ucb/finger.orig.
  */
-#define ORIG_FINGER	"/usr/ucb/finger.orig"
+#define ORIG_FINGER	"/usr/ucb/finger"
 /* Overridden at runtime by environment variable ORIG_FINGER if it exists. */
 
 /* Control file for versatile clients */
@@ -93,7 +93,7 @@
  * as a router (i.e., has its IP forwarding turned off).
  * Leave it undefined otherwise.
  */
-/* #define MULTIHOMED_SERVER */
+#define MULTIHOMED_SERVER
 
 /*
  * For multi-homed servers, you must supply the file /etc/sockd.route
diff -urP socks.cstc.4.2.2/rtelnet/Makefile socks.cstc.4.2.2-newsos4/rtelnet/Makefile
--- socks.cstc.4.2.2/rtelnet/Makefile	Tue Aug 23 03:35:49 1994
+++ socks.cstc.4.2.2-newsos4/rtelnet/Makefile	Mon Oct 13 20:01:17 1997
@@ -91,7 +91,7 @@
 	cd telnet; ${MAKE} ${OS} CC="${CC}" OTHER_CFLAGS="$(OTHER_CFLAGS)" SOCKS="${SOCKS}" SOCKS_LIB=${SOCKS_LIB} RESOLV_LIB="${RESOLV_LIB}" OPTIMIZE="${OPTIMIZE}"
 
 install:  echocwd rtelnet
-	$(INSTALL) -s -o bin -g bin -m 111 rtelnet ${CLIENTS_BIN_DIR}
+	$(INSTALL) -s -o root -g staff -m 111 rtelnet ${CLIENTS_BIN_DIR}
 
 install.man: echocwd
 	$(INSTALL) -m 444 ../doc/socks_clients.1 $(MAN_DEST_DIR)/man1