./build sn6¤Çºî¤ì¤Þ¤¹¡£

S/KEY¤ò»ÈÍÑ¤¹¤ë¤è¤¦¤Ë¤Ê¤Ã¤Æ¤¤¤ë¤Î¤Ç¡¢»È¤ï¤Ê¤¤¿Í¤Ïconfig.h¤Îdefine¤òundef
¤Ë¤·¤Æ¡¢Makefile.sn6¤«¤é¥é¥¤¥Ö¥é¥ê¤Î»ØÄê¤ò¤È¤Ã¤Æ¤¯¤À¤µ¤¤¡£

hiraga@meis.sony.co.jp

diff -urN wu-ftpd-2.4.2-beta-12/build wu-ftpd-2.4.2-beta-12.newsos6/build
--- wu-ftpd-2.4.2-beta-12/build	Mon Jan 20 12:21:29 1997
+++ wu-ftpd-2.4.2-beta-12.newsos6/build	Thu Feb 20 14:47:27 1997
@@ -25,7 +25,8 @@
   ptx    : ???
   sco	 : SCO Unix 3.2v4.2
   sgi    : SGI Irix 4.0.5a
-  sny    : Sony NewsOS
+  sny    : Sony NEWS-OS 4.x
+  sn6    : Sony NEWS-OS 6.x with S/KEY
   sol    : SunOS 5.x / Solaris 2.x 
   s41    : SunOS 4.1.x 
   ult    : Ultrix 4.x
diff -urN wu-ftpd-2.4.2-beta-12/config.h wu-ftpd-2.4.2-beta-12.newsos6/config.h
--- wu-ftpd-2.4.2-beta-12/config.h	Mon Jan 20 12:21:30 1997
+++ wu-ftpd-2.4.2-beta-12.newsos6/config.h	Thu Feb 20 14:56:59 1997
@@ -64,5 +64,5 @@
  * See README-2.4-HOBBIT for more information on this option.
  */
 
-#undef SKEY
+#define SKEY
 
diff -urN wu-ftpd-2.4.2-beta-12/makefiles/Makefile.sn6 wu-ftpd-2.4.2-beta-12.newsos6/makefiles/Makefile.sn6
--- wu-ftpd-2.4.2-beta-12/makefiles/Makefile.sn6	Thu Jan  1 09:00:00 1970
+++ wu-ftpd-2.4.2-beta-12.newsos6/makefiles/Makefile.sn6	Thu Feb 20 14:49:24 1997
@@ -0,0 +1,30 @@
+BINDIR=		/usr/local/sbin
+ETCDIR=		/etc
+MANDIR=		/usr/local/man/C
+MANEXT=		8
+INSTALL=	/usr/ucb/install
+
+all:
+	@ echo 'Use the "build" command (shell script) to make ftpd.'
+	@ echo 'You can say "build help" for details on how it works.'
+
+install: bin/ftpd bin/ftpcount bin/ftpshut
+	-mv -f ${BINDIR}/in.ftpd ${BINDIR}/in.ftpd-old
+	@echo installing binaries.
+	${INSTALL} -c -o bin -g bin -m 755 bin/ftpd ${BINDIR}/in.ftpd
+	${INSTALL} -c -o bin -g bin -m 755 bin/ftpshut ${BINDIR}/ftpshut
+	${INSTALL} -c -o bin -g bin -m 755 bin/ftpcount ${BINDIR}/ftpcount
+	${INSTALL} -c -o bin -g bin -m 755 bin/ftpwho ${BINDIR}/ftpwho
+	@echo installing manpages.
+	${INSTALL} -c -o bin -g bin -m 755 doc/ftpd.8 ${MANDIR}/man8/in.ftpd.8
+	${INSTALL} -c -o bin -g bin -m 755 doc/ftpcount.1 ${MANDIR}/man1/ftpcount.1
+	${INSTALL} -c -o bin -g bin -m 755 doc/ftpwho.1 ${MANDIR}/man1/ftpwho.1
+	${INSTALL} -c -o bin -g bin -m 755 doc/ftpshut.8 ${MANDIR}/man8/ftpshut.8
+	${INSTALL} -c -o bin -g bin -m 755 doc/ftpaccess.5 ${MANDIR}/man5/ftpaccess.5
+	${INSTALL} -c -o bin -g bin -m 755 doc/ftphosts.5 ${MANDIR}/man5/ftphosts.5
+	${INSTALL} -c -o bin -g bin -m 755 doc/ftpconversions.5 ${MANDIR}/man5/ftpconversions.5
+	${INSTALL} -c -o bin -g bin -m 755 doc/xferlog.5 ${MANDIR}/man5/xferlog.5
+
+
+
+
diff -urN wu-ftpd-2.4.2-beta-12/src/access.c wu-ftpd-2.4.2-beta-12.newsos6/src/access.c
--- wu-ftpd-2.4.2-beta-12/src/access.c	Mon Jan 20 12:21:38 1997
+++ wu-ftpd-2.4.2-beta-12.newsos6/src/access.c	Thu Feb 20 14:46:33 1997
@@ -352,7 +352,7 @@
     log_outbound_xfers = 0;
     log_commands = 0;
 
-    memset((void *)&class, 0, sizeof(class));
+    memset((void *)class, 0, sizeof(class));
  
     (void) acl_getclass(class);
 
diff -urN wu-ftpd-2.4.2-beta-12/src/config/config.sn6 wu-ftpd-2.4.2-beta-12.newsos6/src/config/config.sn6
--- wu-ftpd-2.4.2-beta-12/src/config/config.sn6	Thu Jan  1 09:00:00 1970
+++ wu-ftpd-2.4.2-beta-12.newsos6/src/config/config.sn6	Thu Feb 20 14:45:06 1997
@@ -0,0 +1,49 @@
+#define HAVE_SYMLINK
+#undef  F_SETOWN
+#define HAVE_DIRENT
+#define HAVE_D_NAMLEN
+#undef  HAVE_FLOCK
+#define HAVE_FTW
+#define HAVE_GETCWD
+#define HAVE_GETRLIMIT
+#undef  HAVE_PSTAT
+#define HAVE_STATVFS
+#define HAVE_ST_BLKSIZE
+#define HAVE_SYSINFO
+#undef  HAVE_UT_UT_HOST
+#define HAVE_VPRINTF
+#define L_INCR	SEEK_CUR
+#define REGEX
+#define SPT_TYPE SPT_NONE
+#define SHADOW_PASSWORD
+#define SVR4
+#define USG
+#define USE_VAR
+#define USE_TMP
+#define USE_ETC
+
+#include <limits.h>
+
+#ifndef NCARGS
+#ifdef _POSIX_ARG_MAX
+#define NCARGS _POSIX_ARG_MAX
+#else
+#ifdef ARG_MAX
+#define NCARGS ARG_MAX
+#endif
+#endif
+#endif
+
+#include <malloc.h>
+#include <stdlib.h>
+#include <unistd.h>
+
+#ifndef FACILITY
+#define FACILITY LOG_DAEMON
+#endif
+
+typedef void	SIGNAL_TYPE;
+
+#include "../config.h"
+
+#define realpath realpath_on_steroids   /* hack to work around unistd.h */
diff -urN wu-ftpd-2.4.2-beta-12/src/ftpd.c wu-ftpd-2.4.2-beta-12.newsos6/src/ftpd.c
--- wu-ftpd-2.4.2-beta-12/src/ftpd.c	Mon Jan 20 14:05:11 1997
+++ wu-ftpd-2.4.2-beta-12.newsos6/src/ftpd.c	Thu Feb 20 14:50:09 1997
@@ -236,7 +236,7 @@
 int log_commands = 0;
 
 #ifdef SKEY			/* H* add-on.  Not as elegant as Wietse's */
-#include "skey.h"		/* logdaemon package, but does the job.   */
+#include <skey.h>		/* logdaemon package, but does the job.   */
 struct skey skey_blk;
 char chbuff[80];
 #endif
diff -urN wu-ftpd-2.4.2-beta-12/src/makefiles/Makefile.sn6 wu-ftpd-2.4.2-beta-12.newsos6/src/makefiles/Makefile.sn6
--- wu-ftpd-2.4.2-beta-12/src/makefiles/Makefile.sn6	Thu Jan  1 09:00:00 1970
+++ wu-ftpd-2.4.2-beta-12.newsos6/src/makefiles/Makefile.sn6	Thu Feb 20 14:45:32 1997
@@ -0,0 +1,55 @@
+#
+# for Sony NEWS-OS Release 6.x
+#
+CC       = cc
+IFLAGS   = -I.. -I../support -I/usr/local/include
+LFLAGS   = -L../support -L/usr/local/lib
+CFLAGS   = -O2 ${IFLAGS} ${LFLAGS}
+LIBES    = -lsupport -lsocket -lnsl -lgen -lskey
+LIBC     = /usr/ccs/lib/libc.so
+LINTFLAGS=	
+LKERB    =
+MKDEP    = makedepend
+
+SRCS   = ftpd.c ftpcmd.c glob.c logwtmp.c popen.c vers.c access.c extensions.c \
+	realpath.c acl.c private.c authenticate.c conversions.c hostacc.c \
+	sigfix.c
+OBJS   = ftpd.o ftpcmd.o glob.o logwtmp.o popen.o vers.o access.o extensions.o \
+	realpath.o acl.o private.o authenticate.o conversions.o hostacc.o \
+	sigfix.o
+
+all: ftpd ftpcount ftpshut ckconfig
+
+ftpcount:	ftpcount.c pathnames.h
+	${CC} ${CFLAGS} -o $@ ftpcount.c vers.o ${LIBES} 
+
+ftpshut:    ftpshut.c pathnames.h
+	${CC} ${CFLAGS} -o $@ ftpshut.c vers.o ${LIBES}
+
+ckconfig:   ckconfig.c
+	${CC} ${CFLAGS} -o $@ ckconfig.c
+
+ftpd: ${OBJS} ${LIBC}
+	${CC} ${CFLAGS} -o $@ ${OBJS} ${LIBES}
+
+index:	index.o ${LIBC}
+	${CC} -Bstatic -o $@ index.o
+
+vers.c:	ftpd.c ftpcmd.y
+	sh newvers.sh
+
+clean:
+	rm -f ${OBJS} ftpd ftpcmd.c ftpshut ftpshut.o ftpcount ftpcount.o
+	rm -f core index index.o
+
+cleandir: clean
+	rm -f tags .depend
+
+depend: ${SRCS}
+	${MKDEP} ${CFLAGS} ${SRCS}
+
+lint: ${SRCS}
+	lint ${CFLAGS} ${LINTFLAGS} ${SRCS}
+
+tags: ${SRCS}
+	ctags ${SRCS}
diff -urN wu-ftpd-2.4.2-beta-12/support/makefiles/Makefile.sn6 wu-ftpd-2.4.2-beta-12.newsos6/support/makefiles/Makefile.sn6
--- wu-ftpd-2.4.2-beta-12/support/makefiles/Makefile.sn6	Thu Jan  1 09:00:00 1970
+++ wu-ftpd-2.4.2-beta-12.newsos6/support/makefiles/Makefile.sn6	Thu Feb 20 14:45:51 1997
@@ -0,0 +1,34 @@
+#
+# Makefile for Sony NEWS-OS Release 6.x
+#
+CC     = cc
+AR     = ar cq
+RANLIB = touch
+LIBC   = /usr/ccs/lib/libc.a
+IFLAGS = -I/usr/local/include
+LFLAGS = -L/usr/local/lib
+CFLAGS = -O2 ${IFLAGS} ${LFLAGS}
+
+SRCS   = strcasestr.c strsep.c authuser.c
+OBJS   = strcasestr.o strsep.o authuser.o
+
+all: $(OBJS)
+	-rm -f libsupport.a
+	${AR} libsupport.a $(OBJS)
+	${RANLIB} libsupport.a
+
+clean:
+	-rm -f *.o libsupport.a
+
+ftp.h:
+	install -c -m 444 ftp.h /usr/local/include/arpa
+
+strcasestr.o: strcasestr.c
+	${CC} ${CFLAGS} -c strcasestr.c
+
+strsep.o: strsep.c
+	${CC} ${CFLAGS} -c strsep.c
+
+authuser.o: authuser.c
+	${CC} ${CFLAGS} -c authuser.c
+