wu-ftpd-2.4.2-beta14¤ò¥³¥ó¥Ñ¥¤¥ë¤·¤Æ¤ß¤Þ¤·¤¿¡£
¥³¥ó¥Ñ¥¤¥ë¤Ï°Ê²¼¤Î´Ä¶­¤Ç¹Ô¤¤¤Þ¤·¤¿¡£

NWS-5000TF
NEWS-OS Release 6.1.2
NEWS-C Release 1.010
/usr/bin/make


% ./build sn6
¤ÇOK¤Ç¤¹¡£

hiraga@meis.sony.co.jp

diff -urP wu-ftpd-2.4.2-beta-14/build wu-ftpd-2.4.2-beta-14-newsos6/build
--- wu-ftpd-2.4.2-beta-14/build	Tue Aug 12 12:42:48 1997
+++ wu-ftpd-2.4.2-beta-14-newsos6/build	Tue Aug 19 13:45:03 1997
@@ -25,7 +25,8 @@
   ptx    : ???
   sco    : SCO Unix 3.2v4.2 / SCO OpenServer 5
   sgi    : SGI Irix 4.0.5a
-  sny    : Sony NewsOS
+  sny    : Sony NEWS-OS 4.x
+  sn6    : Sony NEWS-OS 6.x
   sol    : SunOS 5.x / Solaris 2.x 
   s41    : SunOS 4.1.x 
   ult    : Ultrix 4.x
diff -urP wu-ftpd-2.4.2-beta-14/makefiles/Makefile.sn6 wu-ftpd-2.4.2-beta-14-newsos6/makefiles/Makefile.sn6
--- wu-ftpd-2.4.2-beta-14/makefiles/Makefile.sn6	Thu Jan  1 09:00:00 1970
+++ wu-ftpd-2.4.2-beta-14-newsos6/makefiles/Makefile.sn6	Tue Aug 19 13:46:17 1997
@@ -0,0 +1,30 @@
+BINDIR=		/usr/local/sbin
+ETCDIR=		/etc
+MANDIR=		/usr/local/man/C
+MANEXT=		8
+INSTALL=	/usr/ucb/install
+
+all:
+	@ echo 'Use the "build" command (shell script) to make ftpd.'
+	@ echo 'You can say "build help" for details on how it works.'
+
+install: bin/ftpd bin/ftpcount bin/ftpshut
+	-mv -f ${BINDIR}/in.ftpd ${BINDIR}/in.ftpd-old
+	@echo installing binaries.
+	${INSTALL} -c -o bin -g bin -m 755 bin/ftpd ${BINDIR}/in.ftpd
+	${INSTALL} -c -o bin -g bin -m 755 bin/ftpshut ${BINDIR}/ftpshut
+	${INSTALL} -c -o bin -g bin -m 755 bin/ftpcount ${BINDIR}/ftpcount
+	${INSTALL} -c -o bin -g bin -m 755 bin/ftpwho ${BINDIR}/ftpwho
+	@echo installing manpages.
+	${INSTALL} -c -o bin -g bin -m 644 doc/ftpd.8 ${MANDIR}/man8/in.ftpd.8
+	${INSTALL} -c -o bin -g bin -m 644 doc/ftpcount.1 ${MANDIR}/man1/ftpcount.1
+	${INSTALL} -c -o bin -g bin -m 644 doc/ftpwho.1 ${MANDIR}/man1/ftpwho.1
+	${INSTALL} -c -o bin -g bin -m 644 doc/ftpshut.8 ${MANDIR}/man8/ftpshut.8
+	${INSTALL} -c -o bin -g bin -m 644 doc/ftpaccess.5 ${MANDIR}/man5/ftpaccess.5
+	${INSTALL} -c -o bin -g bin -m 644 doc/ftphosts.5 ${MANDIR}/man5/ftphosts.5
+	${INSTALL} -c -o bin -g bin -m 644 doc/ftpconversions.5 ${MANDIR}/man5/ftpconversions.5
+	${INSTALL} -c -o bin -g bin -m 644 doc/xferlog.5 ${MANDIR}/man5/xferlog.5
+
+
+
+
diff -urP wu-ftpd-2.4.2-beta-14/src/config/config.sn6 wu-ftpd-2.4.2-beta-14-newsos6/src/config/config.sn6
--- wu-ftpd-2.4.2-beta-14/src/config/config.sn6	Thu Jan  1 09:00:00 1970
+++ wu-ftpd-2.4.2-beta-14-newsos6/src/config/config.sn6	Tue Aug 19 13:54:02 1997
@@ -0,0 +1,57 @@
+/*
+ * Configuration file for NEWS-OS Release 6.x
+ * $Id$
+ */
+#define HAVE_SYMLINK
+#undef  F_SETOWN
+#define HAVE_DIRENT
+#define HAVE_D_NAMLEN
+#undef  HAVE_FLOCK
+#define HAVE_FTW
+#define HAVE_GETCWD
+#define HAVE_GETRLIMIT
+#undef  HAVE_PSTAT
+#define HAVE_STATVFS
+#define HAVE_ST_BLKSIZE
+#define HAVE_SYSINFO
+#define HAVE_SYSCONF
+#undef  HAVE_UT_UT_HOST
+#define HAVE_VPRINTF
+#define L_INCR	SEEK_CUR
+#define REGEX
+#define SPT_TYPE SPT_NONE
+#define SHADOW_PASSWORD
+#define SVR4
+#define USG
+#define USE_VAR
+#define USE_ETC
+
+#include <limits.h>
+
+#ifndef NCARGS
+#ifdef _POSIX_ARG_MAX
+#define NCARGS _POSIX_ARG_MAX
+#else
+#ifdef ARG_MAX
+#define NCARGS ARG_MAX
+#endif
+#endif
+#endif
+
+#include <malloc.h>
+#include <stdlib.h>
+#include <unistd.h>
+
+#ifndef MAXHOSTNAMELEN
+#define MAXHOSTNAMELEN 256
+#endif  
+
+#ifndef FACILITY
+#define FACILITY LOG_DAEMON
+#endif
+
+typedef void	SIGNAL_TYPE;
+
+#include "../config.h"
+
+#define realpath realpath_on_steroids   /* hack to work around unistd.h */
diff -urP wu-ftpd-2.4.2-beta-14/src/makefiles/Makefile.sn6 wu-ftpd-2.4.2-beta-14-newsos6/src/makefiles/Makefile.sn6
--- wu-ftpd-2.4.2-beta-14/src/makefiles/Makefile.sn6	Thu Jan  1 09:00:00 1970
+++ wu-ftpd-2.4.2-beta-14-newsos6/src/makefiles/Makefile.sn6	Tue Aug 19 13:56:42 1997
@@ -0,0 +1,56 @@
+# Makefile for NEWS-OS Release 6
+# $Id$
+#
+#
+CC       = cc
+IFLAGS   = -I.. -I../support
+LFLAGS   = -L../support
+CFLAGS   = -O ${IFLAGS} ${LFLAGS}
+LIBES    = -lsupport -lsocket -lnsl -lgen
+LIBC     = /usr/ccs/lib/libc.so
+LINTFLAGS=	
+LKERB    =	
+MKDEP    = makedepend
+
+SRCS   = ftpd.c ftpcmd.c glob.c logwtmp.c popen.c vers.c access.c extensions.c \
+	realpath.c acl.c private.c authenticate.c conversions.c hostacc.c \
+	sigfix.c
+OBJS   = ftpd.o ftpcmd.o glob.o logwtmp.o popen.o vers.o access.o extensions.o \
+	realpath.o acl.o private.o authenticate.o conversions.o hostacc.o \
+	sigfix.o
+
+all: ftpd ftpcount ftpshut ckconfig
+
+ftpcount:	ftpcount.c pathnames.h vers.o
+	${CC} ${CFLAGS} -o $@ ftpcount.c vers.o ${LIBES} 
+
+ftpshut:    ftpshut.c pathnames.h vers.o
+	${CC} ${CFLAGS} -o $@ ftpshut.c vers.o ${LIBES}
+
+ckconfig:   ckconfig.c
+	${CC} ${CFLAGS} -o $@ ckconfig.c
+
+ftpd: ${OBJS} ${LIBC}
+	${CC} ${CFLAGS} -o $@ ${OBJS} ${LIBES}
+
+index:	index.o ${LIBC}
+	${CC} -Bstatic -o $@ index.o
+
+vers.c:	ftpd.c ftpcmd.y
+	sh newvers.sh
+
+clean:
+	rm -f ${OBJS} ftpd ftpcmd.c ftpshut ftpshut.o ftpcount ftpcount.o
+	rm -f core index index.o ckconfig ckconfig.o
+
+cleandir: clean
+	rm -f tags .depend
+
+depend: ${SRCS}
+	${MKDEP} ${CFLAGS} ${SRCS}
+
+lint: ${SRCS}
+	lint ${CFLAGS} ${LINTFLAGS} ${SRCS}
+
+tags: ${SRCS}
+	ctags ${SRCS}
diff -urP wu-ftpd-2.4.2-beta-14/src/newvers.sh wu-ftpd-2.4.2-beta-14-newsos6/src/newvers.sh
--- wu-ftpd-2.4.2-beta-14/src/newvers.sh	Mon Aug 11 17:04:20 1997
+++ wu-ftpd-2.4.2-beta-14-newsos6/src/newvers.sh	Tue Aug 19 13:58:33 1997
@@ -18,6 +18,7 @@
 #	@(#)$Id: newvers.sh,v 1.12 1997/08/11 08:03:59 sob Exp sob $ based on
 #       newvers.sh	5.3 (Berkeley) 10/31/88
 #
+LANG=C;export LANG
 if [ ! -r edit ]; then echo 0 > edit; fi
 touch edit
 awk '	{	edit = $1 + 1; }\
diff -urP wu-ftpd-2.4.2-beta-14/support/makefiles/Makefile.sn6 wu-ftpd-2.4.2-beta-14-newsos6/support/makefiles/Makefile.sn6
--- wu-ftpd-2.4.2-beta-14/support/makefiles/Makefile.sn6	Thu Jan  1 09:00:00 1970
+++ wu-ftpd-2.4.2-beta-14-newsos6/support/makefiles/Makefile.sn6	Tue Aug 19 14:00:44 1997
@@ -0,0 +1,39 @@
+#
+# Makefile for NEWS-OS Release 6.x
+#
+# $Id$
+#
+CC     = cc
+AR     = ar cq
+RANLIB = touch
+LIBC   = /usr/ccs/lib/libc.a
+IFLAGS = 
+LFLAGS = 
+CFLAGS = -O ${IFLAGS} ${LFLAGS}
+
+SRCS   = strcasestr.c strsep.c authuser.c snprintf.c
+OBJS   = strcasestr.o strsep.o authuser.o snprintf.o
+
+all: $(OBJS)
+	-rm -f libsupport.a
+	${AR} libsupport.a $(OBJS)
+	${RANLIB} libsupport.a
+
+clean:
+	-rm -f *.o libsupport.a
+
+ftp.h:
+	/usr/ucb/install -c -m 444 ftp.h /usr/local/include/arpa
+
+strcasestr.o: strcasestr.c
+	${CC} ${CFLAGS} -c strcasestr.c
+
+strsep.o: strsep.c
+	${CC} ${CFLAGS} -c strsep.c
+
+authuser.o: authuser.c
+	${CC} ${CFLAGS} -c authuser.c
+
+snprintf.o: snprintf.c
+	${CC} ${CFLAGS} -c snprintf.c
+